/* =========================
   VARIABLES
========================= */
:root {
    --primary: #49947B;
    --secondary: #111827;
    --bg: #ffffff;
    --text: #111827;
}

/* =========================
   RESET BÁSICO
========================= */
*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: "Fjalla One", sans-serif;
    font-weight: 400;
    line-height: 1.6;
    color: var(--text);
    background: url(../img/fondo.jpg) 0 0 no-repeat fixed, #B4CDD9;
}

/* =========================
   BASE
========================= */
a {
    color: var(--primary);
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

h1,
h2,
h3 {
    line-height: 1.3;
    margin-bottom: 0.75rem;
    font-weight: 400;
}

h2 {
    font-family: var(--font-title);
    font-size: clamp(2rem, 4vw, 2.7rem);
}
.myfont h3 {
    font-family: var(--font-title);
    font-size: clamp(1.2rem, 2.3vw, 1.6rem);
}
p {
    margin-bottom: 1rem;
}

ul {
    padding-left: 1.25rem;
}

/* =========================
   LAYOUT
========================= */
.container {
    width: 100%;
    max-width: 1170px;
    margin-inline: auto;
    padding-inline: 1rem;
}

main {
    padding-block: 2rem;
}

main section {
    margin-bottom: 2rem;
}

article {
    padding: 2rem 1rem;
}

/* =========================
   HEADER
========================= */
.site-header {
    background-color: var(--primary);
    color: #fff;
}

.site-header a {
    color: #fff;
}

.social-links span {
  font-size: 20px;
  font-weight: 200;
  font-family: var(--font-base);
  font-style: italic;
  padding-left: 5px;
}
.header-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    padding: 0.75rem 1rem;
    min-height: 84px;
    position: relative;
}

.header-grid {
  display: flex;
  width: 100%;
  justify-content: space-between;
}
.navigation-grid {
  display: grid;
  justify-items: end;
}

/* =========================
   MENU MOBILE
========================= */

.menu-toggle {
    display: none;
    background: none;
    border: 0;
    cursor: pointer;
    width: 32px;
    height: 32px;
    position: relative;
    z-index: 1001;
    margin-top: 10px;
}

.menu-toggle span {
    display: block;
    height: 3px;
    width: 100%;
    background: #fff;
    margin: 5px 0;
    border-radius: 2px;
    transition: all .3s ease;
}

.mobile-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 80%;
    max-width: 320px;
    height: 100vh;
    background: var(--primary);
    color: #fff;
    padding: 2rem 1.5rem;
    z-index: 1000;
    transition: right .3s ease;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.mobile-menu a, .main-navigation a {
  color: #fff;
  font-weight: 500;
  font-size: 20px;
  font-style: italic;
  font-family: var(--font-title);
  position: relative;
}

.current-menu-item a::after {
  content: "";
  position: absolute;
  width: calc(100% - 30px);
  background: white;
  height: 2px;
  bottom: -15px;
  left: 15px;
}
.mobile-menu .current-menu-item a::after {
  width: 2px;
  height: 100%;
  bottom: 0;
  left: -24px;
}

.mobile-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mobile-menu li {
    margin-bottom: 1rem;
}

.mobile-menu .mobile-social {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.mobile-menu .mobile-navigation {
  padding-top: 120px;
  border-bottom: 1px solid var(--primary);
  padding-bottom: 30px;
}
.mobile-menu .mobile-social {
  padding-top: 10px;
  padding-bottom: 30px;
    flex-direction: column;
}
.mobile-menu .mobile-social a {
  display: flex;
  gap: 5px;
}
.mobile-menu .mobile-social a svg {
  width: 24px;
  height: 24px;
  fill: currentcolor;
}

.navigation-grid .toolbar {
  display: flex;
  align-items: center;
  gap: 40px;
}
.menu-language {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 5px;
}
.menu-language a {
  font-size: 12px;
  text-transform: uppercase;
}

/* Overlay */
.mobile-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .5);
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s ease;
    z-index: 999;
}

/* Estado abierto */
.menu-open .mobile-menu {
    right: 0;
}

.menu-open .mobile-overlay {
    opacity: 1;
    pointer-events: auto;
}


/* LOGO */

.site-logo {
  display: flex;
  align-items: center;
}

.site-logo img {
    max-width: 300px;
    height: auto;
}

/* =========================
   MENU
========================= */
.main-navigation ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 1rem;
}

.main-navigation a {
    font-weight: 500;
    padding: 0.25rem 0.5rem;
    border-radius: 4px;
    font-size: 20px;
}

.main-navigation a:hover {
    background: rgba(255, 255, 255, 0.15);
}


/* =========================
   TOP SOCIAL NETWORKS
========================= */
.header-navigation {
    display: flex;
    align-items: center;
    gap: 25px;
}

.social-navigation,
.top-contact,
.top-social {
    display: flex;
}

.top-contact span,
.top-social span {
    display: none;
}

.social-navigation a {
    display: flex;
    margin: 0 5px;
    align-items: center;
}

.social-navigation svg {
    width: 26px;
    height: 26px;
    fill: currentColor;
}

/* =========================
   FOOTER
========================= */
.site-footer {
    color: var(--primary);
    padding: 2rem 1rem;
    margin: 20px;
}

.site-footer a {
    color: var(--primary);
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 2rem;
    flex-wrap: wrap;
    margin-top: 2rem;
}

.footer-contact {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.contact-item {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.contact-item svg,
.footer-social svg {
    width: 24px;
    height: 24px;
    fill: currentColor;
}

.footer-social {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.footer-social a:hover,
.contact-item:hover {
    opacity: 0.75;
}

.footer-bottom-legal {
    margin-top: 2rem;
}

.footer-bottom-legal p {
    font-size: 0.85rem;
    opacity: 0.5;
    text-align: center;
}





/* Video responsive al 100% */
.wp-block-embed,
.wp-block-embed__wrapper,
.wp-block-video,
.wp-block-video video,
iframe {
    width: 100%;
    max-width: 100%;
}

.wp-block-embed__wrapper {
    position: relative;
    aspect-ratio: 16 / 9;
    overflow: hidden;
}

.wp-block-embed__wrapper iframe {
    width: 100%;
    height: 100%;
    display: block;
    border: 0;
}

/* =========================
   SOCIAL LINKS
========================= */
.social-links {
  display: flex;
  align-items: center;
  gap: 3px;
}
.social-links a {
  display: flex;
}

/* =========================
   RESPONSIVE
========================= */

.mobile-menu a, .main-navigation a {
  color: #fff;
  font-weight: 500;
  font-size: 28px;
  font-style: italic;
  font-family: var(--font-title);
}

@media (max-width: 1200px) {

    .main-navigation {
        display: none;
    }

    .menu-toggle {
        display: block;
    }
}


@media (max-width: 768px) {

    .main-navigation, .toolbar .social-links {
        display: none;
    }
    
}


@media (max-width: 880px) {
    .social-navigation {
        display: none;
    }

    .site-footer {
        font-size: 14px;
    }

}



@media (max-width: 550px) {
    .menu-toggle {
        width: 52px;
        height: 52px;
        background-color: var(--primary);
        border-radius: 50%;
        padding: 13px;
    }
    .site-logo img {
  max-width: 160px;
}
}